<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/lib/src/bb_spi.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('bb__spi_8c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">bb_spi.c File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="bb__spi_8h_source.html">bb_spi.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n76_e003_8h_source.html">N76E003.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:af33bae599bc85190863818961b28f169"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8c.html#af33bae599bc85190863818961b28f169">BB_MOSI_HIGH</a>&#160;&#160;&#160;<a class="el" href="bb__spi_8h.html#a8e42694f35fc626afb85da93ff790147">BB_MOSI_Px</a> |= (1 &lt;&lt; <a class="el" href="bb__spi_8h.html#ade4402999e632e4e1dde6c6eae129aee">BB_MOSI_PIN</a>)</td></tr>
<tr class="memdesc:af33bae599bc85190863818961b28f169"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set bitbang MOSI pin high.  <br /></td></tr>
<tr class="separator:af33bae599bc85190863818961b28f169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeac409ed63812c3ba19a46e59868221"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8c.html#adeac409ed63812c3ba19a46e59868221">BB_MOSI_LOW</a>&#160;&#160;&#160;<a class="el" href="bb__spi_8h.html#a8e42694f35fc626afb85da93ff790147">BB_MOSI_Px</a> &amp;= ~(1 &lt;&lt; <a class="el" href="bb__spi_8h.html#ade4402999e632e4e1dde6c6eae129aee">BB_MOSI_PIN</a>)</td></tr>
<tr class="memdesc:adeac409ed63812c3ba19a46e59868221"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set bitbang MOSI pin low.  <br /></td></tr>
<tr class="separator:adeac409ed63812c3ba19a46e59868221"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a793a870ce79690b987ea917fab826ae0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8c.html#a793a870ce79690b987ea917fab826ae0">BB_SCK_HIGH</a>&#160;&#160;&#160;<a class="el" href="bb__spi_8h.html#a8c82f817ed3da992029e82107c65df56">BB_SCK_Px</a> |= (1 &lt;&lt; <a class="el" href="bb__spi_8h.html#acfcce186e4b7839f784ceb982c95f511">BB_SCK_PIN</a>)</td></tr>
<tr class="memdesc:a793a870ce79690b987ea917fab826ae0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set bitbang SCK pin high.  <br /></td></tr>
<tr class="separator:a793a870ce79690b987ea917fab826ae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8accfc49146b12f8a8cf4abcae9ef4df"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8c.html#a8accfc49146b12f8a8cf4abcae9ef4df">BB_SCK_LOW</a>&#160;&#160;&#160;<a class="el" href="bb__spi_8h.html#a8c82f817ed3da992029e82107c65df56">BB_SCK_Px</a> &amp;= ~(1 &lt;&lt; <a class="el" href="bb__spi_8h.html#acfcce186e4b7839f784ceb982c95f511">BB_SCK_PIN</a>)</td></tr>
<tr class="memdesc:a8accfc49146b12f8a8cf4abcae9ef4df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set bitbang SCK pin low.  <br /></td></tr>
<tr class="separator:a8accfc49146b12f8a8cf4abcae9ef4df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:add9c161dbfec7e8d4e9f09b53b0bef1d"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8c.html#add9c161dbfec7e8d4e9f09b53b0bef1d">bb_spi_transfer</a> (unsigned char dat)</td></tr>
<tr class="memdesc:add9c161dbfec7e8d4e9f09b53b0bef1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode 0 bitbang SPI transfer.  <br /></td></tr>
<tr class="separator:add9c161dbfec7e8d4e9f09b53b0bef1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f474c1af6c0c4412a5c55714dcdf981"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8c.html#a5f474c1af6c0c4412a5c55714dcdf981">bb_spi_init</a> (void)</td></tr>
<tr class="memdesc:a5f474c1af6c0c4412a5c55714dcdf981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize SPI bitbang using pins defined in <a class="el" href="bb__spi_8h.html">bb_spi.h</a>.  <br /></td></tr>
<tr class="separator:a5f474c1af6c0c4412a5c55714dcdf981"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="af33bae599bc85190863818961b28f169" name="af33bae599bc85190863818961b28f169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af33bae599bc85190863818961b28f169">&#9670;&#160;</a></span>BB_MOSI_HIGH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MOSI_HIGH&#160;&#160;&#160;<a class="el" href="bb__spi_8h.html#a8e42694f35fc626afb85da93ff790147">BB_MOSI_Px</a> |= (1 &lt;&lt; <a class="el" href="bb__spi_8h.html#ade4402999e632e4e1dde6c6eae129aee">BB_MOSI_PIN</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set bitbang MOSI pin high. </p>

</div>
</div>
<a id="adeac409ed63812c3ba19a46e59868221" name="adeac409ed63812c3ba19a46e59868221"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adeac409ed63812c3ba19a46e59868221">&#9670;&#160;</a></span>BB_MOSI_LOW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MOSI_LOW&#160;&#160;&#160;<a class="el" href="bb__spi_8h.html#a8e42694f35fc626afb85da93ff790147">BB_MOSI_Px</a> &amp;= ~(1 &lt;&lt; <a class="el" href="bb__spi_8h.html#ade4402999e632e4e1dde6c6eae129aee">BB_MOSI_PIN</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set bitbang MOSI pin low. </p>

</div>
</div>
<a id="a793a870ce79690b987ea917fab826ae0" name="a793a870ce79690b987ea917fab826ae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a793a870ce79690b987ea917fab826ae0">&#9670;&#160;</a></span>BB_SCK_HIGH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_SCK_HIGH&#160;&#160;&#160;<a class="el" href="bb__spi_8h.html#a8c82f817ed3da992029e82107c65df56">BB_SCK_Px</a> |= (1 &lt;&lt; <a class="el" href="bb__spi_8h.html#acfcce186e4b7839f784ceb982c95f511">BB_SCK_PIN</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set bitbang SCK pin high. </p>

</div>
</div>
<a id="a8accfc49146b12f8a8cf4abcae9ef4df" name="a8accfc49146b12f8a8cf4abcae9ef4df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8accfc49146b12f8a8cf4abcae9ef4df">&#9670;&#160;</a></span>BB_SCK_LOW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_SCK_LOW&#160;&#160;&#160;<a class="el" href="bb__spi_8h.html#a8c82f817ed3da992029e82107c65df56">BB_SCK_Px</a> &amp;= ~(1 &lt;&lt; <a class="el" href="bb__spi_8h.html#acfcce186e4b7839f784ceb982c95f511">BB_SCK_PIN</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set bitbang SCK pin low. </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5f474c1af6c0c4412a5c55714dcdf981" name="a5f474c1af6c0c4412a5c55714dcdf981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f474c1af6c0c4412a5c55714dcdf981">&#9670;&#160;</a></span>bb_spi_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void bb_spi_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize SPI bitbang using pins defined in <a class="el" href="bb__spi_8h.html">bb_spi.h</a>. </p>

</div>
</div>
<a id="add9c161dbfec7e8d4e9f09b53b0bef1d" name="add9c161dbfec7e8d4e9f09b53b0bef1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add9c161dbfec7e8d4e9f09b53b0bef1d">&#9670;&#160;</a></span>bb_spi_transfer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char bb_spi_transfer </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>dat</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mode 0 bitbang SPI transfer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dat</td><td>Data to send </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_1a84bb234c89b52eac6ccacceb8c95a3.html">lib</a></li><li class="navelem"><a class="el" href="dir_5eaeabca49434b85d2268f40b691c39f.html">src</a></li><li class="navelem"><a class="el" href="bb__spi_8c.html">bb_spi.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
